/* UIAUDIT-6: !important обоснован — переопределение inline-стилей MudBlazor Switch */
.fg-switch .mud-switch-track {
    border-radius: 9999px !important;
}

.fg-switch .mud-switch-span {
    padding: 5px !important;
}

.fg-switch .mud-switch-span .mud-switch-track {
    background-color: var(--mud-palette-surface) !important;
    border: 1px solid var(--mud-palette-info-darken);
}

.fg-switch .mud-input-control-input-container:hover .mud-switch-span .mud-switch-thumb-medium {
    background-color: var(--mud-palette-secondary) !important;
}

.fg-switch .mud-switch-span:has(> .mud-checked) .mud-switch-track {
    background-color: var(--mud-palette-secondary) !important;
}

.fg-switch .mud-input-control-input-container:hover .mud-switch-span:has(> .mud-checked) .mud-switch-track {
    background-color: var(--mud-palette-surface) !important;
}

.fg-switch .mud-switch-span .mud-icon-button {
    background-color: unset !important;
}

.fg-switch .mud-input-control-input-container .mud-switch-label-medium {
    color: var(--mud-palette-primary) !important;
    margin-left: 4px;
}

.fg-switch .mud-input-control-input-container:has(.mud-checked) .mud-switch-label-medium {
    color: var(--mud-palette-secondary) !important;
}

.fg-switch .mud-input-control-input-container:hover .mud-switch-label-medium {
    color: var(--mud-palette-secondary) !important;
}